<html>
<head>
<title>OgreLog.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#define-members">Defines</a> &#124;
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle">
<div class="title">OgreLog.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="OgrePrerequisites_8h_source.html">OgrePrerequisites.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreString_8h_source.html">OgreString.h</a>&quot;</code><br/>
</div>
<p><a href="OgreLog_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1LogListener.html">Ogre::LogListener</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Log.html">Ogre::Log</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Log_1_1Stream.html">Ogre::Log::Stream</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Log_1_1Stream.html" title="Stream object which targets a log.">Stream</a> object which targets a log.  <a href="classOgre_1_1Log_1_1Stream.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Log_1_1Stream_1_1Flush.html">Ogre::Log::Stream::Flush</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Simple type to indicate a flush of the stream to the log.  <a href="structOgre_1_1Log_1_1Stream_1_1Flush.html#details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>
<tr><td colspan="2"><h2><a name="define-members"></a>
Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__General.html#gaafd348d0e141380ecf8d7b57a65652d7">OGRE_LOG_THRESHOLD</a>&#160;&#160;&#160;4</td></tr>
<tr><td colspan="2"><h2><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__General.html#ga122d6319a25f910b8b1bf6fe52f91f6b">Ogre::LoggingLevel</a> { <a class="el" href="group__General.html#gga122d6319a25f910b8b1bf6fe52f91f6bac3ff7e1e5965d9c0116088cd7bc77c9f">Ogre::LL_LOW</a> =  1, 
<a class="el" href="group__General.html#gga122d6319a25f910b8b1bf6fe52f91f6bafc58e360523f5eb025af8e681ef494ef">Ogre::LL_NORMAL</a> =  2, 
<a class="el" href="group__General.html#gga122d6319a25f910b8b1bf6fe52f91f6baeed15d58e0e6e1eaa9d23039e5fc546c">Ogre::LL_BOREME</a> =  3
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The level of detail to which the log will go into.  <a href="group__General.html#ga122d6319a25f910b8b1bf6fe52f91f6b">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__General.html#ga124456c1616299612ac9f46e7d69268d">Ogre::LogMessageLevel</a> { <a class="el" href="group__General.html#gga124456c1616299612ac9f46e7d69268da370f32b6cd8e47d4f41d645224700097">Ogre::LML_TRIVIAL</a> =  1, 
<a class="el" href="group__General.html#gga124456c1616299612ac9f46e7d69268dab6d5702e6462875fcbc1b5aff2497d2e">Ogre::LML_NORMAL</a> =  2, 
<a class="el" href="group__General.html#gga124456c1616299612ac9f46e7d69268da5210f9fef7f2093878f02f2757606f33">Ogre::LML_CRITICAL</a> =  3
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">The importance of a logged message.  <a href="group__General.html#ga124456c1616299612ac9f46e7d69268d">More...</a><br/></td></tr>
</table>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:53
</p>
</body>
</html>
